<#import "parts/common.ftlh" as c>
<#import "parts/csrf_token.ftlh" as csrf>

<@c.page>
    <h2>Редактирование пользователя</h2>
    <form class="" action="/user" method="post">
        <@csrf.token />
        <input class="form-control" type="text" value="${user.id}" name="userId" hidden/>
        <label class="form-label">Имя пользователя</label>
        <input class="form-control" type="text" value="${user.username}" name="username"/>
        <label class="form-label">Роли</label>
        <#list roles as role>
            <label class="form-label"><input type="checkbox" name="${role}" ${user.roles?seq_contains(role)?string("checked", "")}>${role}</label>
        </#list>
        <div><input class="form-control" type="text" name="test" value="test"/></div>
        <button type="submit" class="btn btn-primary mb-2">Сохранить</button>
    </form>

    <@c.toMainPage />
</@c.page>